import request from '@/utils/request'


// 查询top万能查询主列表
export function listTable(data) {
  return request({
    url: '/tool/table/list',
    method: 'post',
    data: data
  })
}
// 查询top万能查询主列表
export function listInfoTable() {
  return request({
    url: '/tool/table/info',
    method: 'post',
  })
}



// 导出top万能查询主
export function exportTable(data) {
  return request({
    url: '/tool/table/export',
    method: 'post',
    data: data
  })
}
// 导出top万能查询主
export function columns(id) {
  return request({
    url: '/tool/table/columns/'+id,
    method: 'get',
  })
}


// 导入表
export function importTopTable(data) {
  return request({
    url: '/tool/table/importTopTable',
    method: 'post',
    params: data
  })
}


// 查询top万能查询主详细
export function getTable(id) {
  return request({
    url: '/tool/table/' + id,
    method: 'get'
  })
}

// 新增top万能查询主
export function addTable(data) {
  return request({
    url: '/tool/table',
    method: 'post',
    data: data
  })
}

// 修改top万能查询主
export function updateTable(data) {
  return request({
    url: '/tool/table',
    method: 'put',
    data: data
  })
}

// 删除top万能查询主
export function delTable(id) {
  return request({
    url: '/tool/table/' + id,
    method: 'delete'
  })
}
// 获取数据库表list
export function listDbTable(data) {
  return request({
    url: '/tool/table/db/list',
    method: 'post',
    data:data
  })
}
